<?php
/*********************************************************************
*	XLAgenda 4 par Xavier LE QUERE
*   Contact : support[at]xlagenda.fr
*   Web : http://www.xlagenda.fr
*   (C) Xavier LE QUERE, 2003-2011
*   Version 4.2 - 13/02/11
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*   
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*   
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*********************************************************************/

/*********************************************************************
*	NE PAS EDITER CE FICHIER
*   POUR PERSONNALISER L'ADMIN EDITEZ header.php ET footer.php
*   VOUS POUVEZ AUSSI EDITER LA FEUILLE DE STYLE
*********************************************************************/
include("../include/data.php");
include("../include/connexion.php");
include("../include/functions.php");
initSession();
//INITIALISATION DES VARIABLES
$authorised=0;
//RECUPERATION DES DONNEES
$the_user=(isset($_SESSION['the_user'])) ? $_SESSION['the_user'] : Null;
$id=(isset($_GET["id"])) ? $_GET['id'] : Null;
if ($id AND !is_numeric($id))
{
die();
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="fr">
<head>
<title><?php echo $titre_page ?> | Administration</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta name="author" content="XLAgenda <?php echo get_version() ?>">
<meta name="author-url" content="http://www.xlagenda.fr">
<link rel="stylesheet" href="style.css" type="text/css">
<meta name="robots" content="noindex, nofollow">
<meta http-equiv="pragma" content="no_cache">
<script type="text/javascript" src="../include/jquery.js"></script>
<script language = "JavaScript" type="text/javascript">
<!--
function checkUsername()
{
	document.getElementById("valid_user").value="";
	document.getElementById("divUser").innerHTML="";
	document.getElementById("divUser").className="";
	var user=document.getElementById("user").value;
	var user_old=document.getElementById("user_old").value;
	var id=document.getElementById("id").value;
	if (user != "" && user != user_old)
	{
	$.ajax({
	type: 'POST',
	url: 'checkUsername.php',
	data: "user="+$('#user').val()+"&"+"user_id="+$('#id').val(),
	dataType: 'text',
	success: validerUsername
	});
	}
}

function checkEmail()
{
	document.getElementById("valid_email").value="";
	document.getElementById("divEmail").innerHTML="";
	document.getElementById("divEmail").className="";
	var email=document.getElementById("email").value;
	var email_old=document.getElementById("email_old").value;
	var id=document.getElementById("id").value;
	var regEmail=new RegExp ("^[0-9a-z._-]+@{1}[0-9a-z._-]{2,}[.]{1}[a-z]{2,5}$");
	if (email != "" && (!regEmail.test(email)))
	{
	document.getElementById("divEmail").innerHTML="Email invalide";
	document.getElementById("divEmail").className="valid_ko";
	}
	else if (email != "" && email != email_old)
	{
	$.ajax({
	type: 'POST',
	url: 'checkEmail.php',
	data: "email="+$('#email').val()+"&"+"user_id="+$('#id').val(),
	dataType: 'text',
	success: validerEmail
	});
	}
}

function validerUsername(reponse)
{
	if (reponse == 1)
	{
	document.getElementById("divUser").innerHTML="Nom d'utilisateur non disponible";
	document.getElementById("divUser").className="valid_ko";
	document.getElementById("valid_user").value=0;
	}
	else
	{
	document.getElementById("divUser").innerHTML="Nom d'utilisateur disponible";
	document.getElementById("divUser").className="valid_ok";
	document.getElementById("valid_user").value=1;
	}
}

function validerEmail(reponse)
{
	if (reponse == 1)
	{
	document.getElementById("divEmail").innerHTML="Adresse email non disponible";
	document.getElementById("divEmail").className="valid_ko";
	document.getElementById("valid_email").value=0;
	}
	else
	{
	document.getElementById("divEmail").innerHTML="Adresse email disponible";
	document.getElementById("divEmail").className="valid_ok";
	document.getElementById("valid_email").value=1;
	}
}

function validerPassword(reponse)
{
	if (reponse == 1)
	{
	document.getElementById("divPassword").innerHTML="Mot de passe incorrect";
	document.getElementById("divPassword").className="valid_ko";
	}
	else
	{
	document.getElementById("divPassword").innerHTML="Mot de passe correct";
	document.getElementById("divPassword").className="valid_ok";
	}
}

function verifierFormulaire()
{
	var user=document.getElementById("user").value;
	var pass=document.getElementById("pass").value;
	var email=document.getElementById("email").value;
	var validUser=document.getElementById("valid_user").value;
	var validEmail=document.getElementById("valid_email").value;
	var userOld=document.getElementById("user_old").value;
	var emailOld=document.getElementById("email_old").value;
	var regEmail=new RegExp ("^[0-9a-z._-]+@{1}[0-9a-z._-]{2,}[.]{1}[a-z]{2,5}$");
	var erreur = 0;
	var message = "";
	if (user == "" || email == "" || pass == "")
	{
		var message="Veuillez remplir tous les champs obligatoires.\n";
		var erreur = 1;
	}
	if (email != "" && (!regEmail.test(email)))
	{
		var message=message+"L\'adresse email est incorrecte.\n";
		var erreur = 1;
	}
	if (pass != "" && user != "" && (pass == user))
	{
		var message=message+"Le mot de passe doit tre diffrent du nom d\'utilisateur.\n";
		var erreur = 1;
	}
	if (pass != "" && (pass.length < 6 || pass.length > 15))
	{
		var message=message+"Le mot de passe doit comprendre entre 6 et 15 caractres.\n";
		var erreur = 1;
	}
	if (user != "" && validUser == 0 && user != userOld)
	{
		var message=message+"Le nom d\'utilisateur est dj utilis.\n";
		var erreur = 1;
	}
	if (email != "" && validEmail == 0 && email != emailOld)
	{
		var message=message+"L\'adresse email est dj utilise.\n";
		var erreur = 1;
	}
	if (erreur)
	{
		alert(message);
		return false;
	}
}
// -->
</script>

<?php
include("header.php");
//ON TESTE SI L'UTILISATEUR EST CONNECTE
if (!isSessionValide())
{
//SI l'UTILISATEUR N'EST PAS CONNECTE
echo "<p>Votre session a expir&eacute;, merci de <a  href=\"index.php\">vous reconnecter</a>.</p>\n";
}

else
{
//SI L'UTILISATEUR EST CONNECTE
//CONTROLE DE L'AUTORISATION D'ACCEDER A LA PAGE
$auth=array('gerer');
$auth=isAutorise($auth);
$auth_gerer=$auth['gerer'];
if (!$auth_gerer)
{
echo "<p>Vous n'&ecirc;tes pas autoris&eacute; &agrave; acc&eacute;der &agrave; cette page.<br>\n";
echo "Pour revenir au menu principal, <a href=\"index.php\">cliquez ici</a>.</p>\n";
}
else
{
$authorised=1;
}
}

//SI l'UTILISATEUR EST AUTORISE A ACCEDER A LA PAGE
if ($authorised == 1)
{
include ("menu.php");
?> 
<h2>G&eacute;rer les utilisateurs en attente</h2>
<p>&gt; <a href="demande1.php">Annuler</a></p>
<?php
$query="SELECT * FROM $table_demande WHERE id='$id'";
$result=mysql_query($query);
if ($result)
{
$num=mysql_num_rows($result);
echo "<p>";
$ligne=mysql_fetch_array($result);
$user=$ligne["user"];
$pass=$ligne["pass"];
$email=$ligne["email"];
$nom=$ligne["nom"];
$prenom=$ligne["prenom"];
$user=stripslashes($user);
$pass=stripslashes($pass);
}
?>
<form name="form1" method="post" action="demande1.php" onSubmit="return verifierFormulaire(this)">
	<p>
		<label for="user">Nom d'utilisateur :</label><br>
		<input name="user" type="text" id="user" value="<?php echo $user ?>" size="25" maxlength="20" onKeyUp="checkUsername()"> <span id="divUser"></span><br>
		(20 caract&egrave;res maximum)</p>
	<p>
		<label for="pass">Mot de passe :</label><br>
		<input name="pass" type="text" id="pass" value="<?php echo $pass ?>" size="20" maxlength="15"><br>
		(de 6 &agrave; 15 caract&egrave;res) </p>
	<p>
		<label for="email">Adresse email :</label><br>
		<input name="email" type="text" id="email" value="<?php echo $email ?>" size="30" onKeyUp="checkEmail()"> <span id="divEmail"></span>
	</p>
	<p>
		<label for="nom">Nom :</label><br>
		 <input name="nom" type="text" id="nom" value="<?php echo htmlentities($nom) ?>" size="30">
	</p>
	<p>
		<label for="prenom">Pr&eacute;nom :</label><br>
		<input name="prenom" type="text" id="prenom" value="<?php echo htmlentities($prenom) ?>" size="30">
	</p>
	<p>
		Peut ajouter un &eacute;v&eacute;nement :<br>
		<input name="ajouter" type="radio" value="1" checked>
		Oui 
		<input type="radio" name="ajouter" value="0">
		Non
	</p>
	<p>
		Peut modifier un &eacute;v&eacute;nement :<br>
		<input type="radio" name="modifier" value="2">
		Tous 
		<input name="modifier" type="radio" value="1" checked>
		Ceux qu'il a introduit 
		<input type="radio" name="modifier" value="0">
		Non
	</p>
	<p>
		Peut supprimer un &eacute;v&eacute;nement :<br>
		<input type="radio" name="supprimer" value="2">
		Tous 
		<input name="supprimer" type="radio" value="1" checked>
		Ceux qu'il a introduit 
		<input type="radio" name="supprimer" value="0">
		Non
	</p>
	<p>
		Peut valider les &eacute;v&eacute;nements en attente :<br>
		<input type="radio" name="valider" value="1">
		Oui 
		<input name="valider" type="radio" value="0" checked>
		Non
	</p>
	<p>
		Peut g&eacute;rer les utilisateurs et les cat&eacute;gories :<br>
		<input type="radio" name="gerer_user" value="1">
		Oui 
		<input name="gerer_user" type="radio" value="0" checked>
		Non
	</p>
	<p>
		Les &eacute;venements qu'il ajoute doivent &ecirc;tre valid&eacute;s &agrave; post&eacute;riori :<br>
		<input name="actif" type="radio" value="0" checked>
		Oui 
		<input type="radio" name="actif" value="1">
		Non
	</p>
	<p> 
		<input type="submit" name="Submit" value="Modifier et valider">
		<input name="id" type="hidden" id="id" value="<?php echo $id ?>">
		<input name="user_old" type="hidden" id="user_old" value="<?php echo $user ?>">
		<input name="email_old" type="hidden" id="email_old" value="<?php echo $email ?>">
		<input name="valid_user" type="hidden" id="valid_user" value="">
		<input name="valid_email" type="hidden" id="valid_email" value="">
		<input name="action" type="hidden" id="action" value="modifier">
	</p>
</form>
<p>&nbsp;</p>
<p>
	&gt; <a href="index.php">Menu principal</a><br>
	&gt; <a href="close.php">D&eacute;connexion</a>
</p>
<?php
}
include("footer.php");
?>